Connectors
Store platform connectors (modules and plugins).
4 endpoints.
POST /v1/connectors/{connector_id}/syncGET /v1/connectorsPOST /v1/connectorsPATCH /v1/connectors/{connector_id}
POST
/v1/connectors/{connector_id}/syncPull a full sync from the store now
Needs a key or a dashboard session
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
connector_id | path | string | yes |
Responses
- 202Successful Response
Accepted
GET
/v1/connectorsInstalled connectors
Needs a key or a dashboard session
Responses
- 200Successful Response
ConnectorOut[]
POST
/v1/connectorsRegister a store connector (its 'Test connection' button)
Needs a key or a dashboard session
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
Idempotency-Key | header | string | null | no | Unique per logical write (8-255 chars). Retries with the same key are safe. · pattern ^[A-Za-z0-9_\-:.]{8,255}$ |
Request body application/json ConnectorRegister
| Name | Type | Required | Description |
|---|---|---|---|
platform | "opencart" | "woocommerce" | "shopify" | "salla" | "zid" | "magento" | "custom" | yes | |
store_url | string | yes | max length 500 |
platform_version | string | null | no | max length 32 |
module_version | string | null | no | max length 32 |
settings | object | no |
Responses
- 200Successful Response
ConnectorOut
PATCH
/v1/connectors/{connector_id}Turn a connector on/off or change its settings
Needs a key or a dashboard session
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
connector_id | path | string | yes |
Request body application/json ConnectorUpdate
| Name | Type | Required | Description |
|---|---|---|---|
enabled | boolean | null | no | |
settings | object | null | no |
Responses
- 200Successful Response
ConnectorOut
Data shapes on this page
Accepted
| Name | Type | Required | Description |
|---|---|---|---|
accepted | boolean | no | default true |
job | Job | null | no |
Job
A row of the shared `jobs` table. Poll GET /v1/jobs/{id} until status is terminal.
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
kind | "reindex" | "import" | "sync" | "translate_backfill" | "translate_writeback" | "export" | "data_export" | "data_delete" | "embed" | "synonym_mining" | yes | |
status | "queued" | "running" | "succeeded" | "failed" | "canceled" | yes | |
progress | number | no | default 0 · min 0 · max 1 |
created_at | string (date-time) | yes | |
started_at | string (date-time) | null | no | |
finished_at | string (date-time) | null | no | |
result | object | null | no | |
error | string | null | no |
ConnectorOut
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
platform | "opencart" | "woocommerce" | "shopify" | "salla" | "zid" | "magento" | "custom" | yes | |
store_url | string | yes | |
platform_version | string | null | no | |
module_version | string | null | no | |
status | "pending" | "active" | "error" | "disabled" | "uninstalled" | yes | |
enabled | boolean | yes | |
last_sync_at | string (date-time) | null | no | |
last_error | string | null | no | |
fallback_count_24h | integer | no | default 0 |
created_at | string (date-time) | yes |
ConnectorRegister
Sent by a connector's 'Test connection' button with its secret key.
| Name | Type | Required | Description |
|---|---|---|---|
platform | "opencart" | "woocommerce" | "shopify" | "salla" | "zid" | "magento" | "custom" | yes | |
store_url | string | yes | max length 500 |
platform_version | string | null | no | max length 32 |
module_version | string | null | no | max length 32 |
settings | object | no |
ConnectorUpdate
| Name | Type | Required | Description |
|---|---|---|---|
enabled | boolean | null | no | |
settings | object | null | no |